> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get information about the supplier's products

> ## Get information about the supplier's products ##

<p>
Retrieves information about the products that belong to the logged-in supplier. Note that the records returned are
"productdetails", not products, so there may be multiple records in different statuses with the same product ID.
</p>

#### Response ####

**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>fetchedRecords</td><td>n</td><td>Integer</td><td>Number of records returned in this response.</td>
         </tr>
         <tr>
             <td>totalMatchingRecords</td><td>n</td><td>Integer</td><td>Total number of matching records found.</td>
         </tr>
         <tr>
             <td>results</td><td>n</td><td>Array</td><td>List of ProductsDetails objects.</td>
         </tr>
     </tbody>
 </table>

**ProductsDetails Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>productId</td><td>n</td><td>Integer</td><td>Product ID</td>
         </tr>
         <tr>
             <td>productName</td><td>n</td><td>String</td><td>Product name</td>
         </tr>
         <tr>
             <td>productStatusCode</td><td>n</td><td>Character</td><td>Product status code</td>
         </tr>
         <tr>
             <td>productStatus</td><td>n</td><td>String</td><td>Product status name</td>
         </tr>
         <tr>
             <td>deletePending</td><td>n</td><td>Boolean</td><td>This product has a delete request pending</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json get /{supplierapi}/products
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/products:
    get:
      tags:
        - Version 1
        - Products
      summary: Get information about the supplier's products
      description: >-
        ## Get information about the supplier's products ##


        <p>

        Retrieves information about the products that belong to the logged-in
        supplier. Note that the records returned are

        "productdetails", not products, so there may be multiple records in
        different statuses with the same product ID.

        </p>


        #### Response ####


        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>fetchedRecords</td><td>n</td><td>Integer</td><td>Number of records returned in this response.</td>
                 </tr>
                 <tr>
                     <td>totalMatchingRecords</td><td>n</td><td>Integer</td><td>Total number of matching records found.</td>
                 </tr>
                 <tr>
                     <td>results</td><td>n</td><td>Array</td><td>List of ProductsDetails objects.</td>
                 </tr>
             </tbody>
         </table>

        **ProductsDetails Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>productId</td><td>n</td><td>Integer</td><td>Product ID</td>
                 </tr>
                 <tr>
                     <td>productName</td><td>n</td><td>String</td><td>Product name</td>
                 </tr>
                 <tr>
                     <td>productStatusCode</td><td>n</td><td>Character</td><td>Product status code</td>
                 </tr>
                 <tr>
                     <td>productStatus</td><td>n</td><td>String</td><td>Product status name</td>
                 </tr>
                 <tr>
                     <td>deletePending</td><td>n</td><td>Boolean</td><td>This product has a delete request pending</td>
                 </tr>
             </tbody>
         </table>
      operationId: get_api_product_supplierproduct_getproductdetails
      parameters:
        - name: productId
          in: query
          description: Only return productsdetails for the product with this ID.
          required: false
          schema:
            type: integer
        - name: productName
          in: query
          description: Only return productsdetails that partially match this name.
          required: false
          schema:
            type: string
        - name: productStatusCode
          in: query
          description: Only return productsdetails that are in this status.
          required: false
          schema:
            type: string
        - name: sortBy
          in: query
          description: Sort the results by this field.
          required: false
          schema:
            type: string
        - name: sortDirection
          in: query
          description: Sort the results in this direction.
          required: false
          schema:
            type: string
        - name: recordsStart
          in: query
          description: Position of first result to return.
          required: false
          schema:
            type: integer
        - name: recordsLength
          in: query
          description: Number of results to return.
          required: false
          schema:
            type: integer
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      responses:
        '200':
          description: Returned when successful
        '403':
          description: Returned when the user is not authorized
        '500':
          description: Internal error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.